org.gradle.nativebinaries

## Interface Library

- All Superinterfaces:
    Named, NativeComponent

      @Incubating
      public interface Library
      extends NativeComponent

  The logical representation of an library native component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceDirectorySet` | `getHeaders()` The headers exported by this library.
    `LibraryResolver` | `getShared()` Converts this library to a native dependency that uses the shared library variant.
    `LibraryResolver` | `getStatic()` Converts this library to a native dependency that uses the static library variant.

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeComponent

      `flavors, getBaseName, getBinaries, getFlavors, getSource, setBaseName, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getHeaders

          SourceDirectorySet getHeaders()

      The headers exported by this library.

    - #### getShared

          LibraryResolver getShared()

      Converts this library to a native dependency that uses the shared library variant. This is the default.

    - #### getStatic

          LibraryResolver getStatic()

      Converts this library to a native dependency that uses the static library variant.